#! /usr/bin/perl
#
#--------------------------------------------------------------
# This code is used for combining predictions and labels for each residue
# Before running this code, you need install perl
# In our experiment, perl V5.18.2 64bit is tested
#--------------------------------------------------------------
# Written by Jian Zhang (Email:jzhang6@vcu.edu)
# Please contact jzhang6@vcu.edu if you have any problems
#--------------------------------------------------------------
open PRED,"WholedatasetPutativeRSARNAPRO.pred";
chomp(@pred=<PRED>);
close PRED;

open LABEL,"WholedatasetPutativeRSARNAPRO.labels";
chomp(@labels=<LABEL>);
close LABEL;

open WRITE,">WholedatasetPutativeRSARNAPRO.txt";
for($cm=0;$cm<@pred;$cm++){
	if(@labels[$cm] ne "*" && @pred[$cm] ne "*"){
		print WRITE @labels[$cm]." ".@pred[$cm]."\n";
	}
}
close WRITE;
