%%
% This code computes the sensitivity, specificity, AUC, AULC and AULCratio values
% Before running this code, you need install Matlab
% In our experiment, Matlab R2014a 64bit is tested
%%

clear all;
clc;

data=load('putativeRSAall/DNAallpred.putRSAallpred');

%%

Label=data(:,1);
pred=data(:,2);

[area,sens,spe]=area_under_roc(pred,Label);
area

newsens=sens;
newspe=1-spe;
selectsens=-1;

for i=1:size(newspe)-1
    if(newspe(i,1)<0.05)
        selectsens=newsens(i-1,1);
        break;
    end
end

AULC=0;
for i=1:size(newspe)-1
    if(newspe(i,1)<0.05 & newspe(i,1)>0)
        AULC=AULC + (newsens(i,1)+newsens(i+1,1))/2*(newspe(i,1)-newspe(i+1,1));  
    end
end


AULCratio=AULC/(0.05*0.05*0.5)
selectsens

%dlmwrite('sens.txt',newsens);
%dlmwrite('spe.txt',newspe);
