#! /usr/bin/perl
#
#--------------------------------------------------------------
# This code is used for generating predictions for each residue
# Before running this code, you need install perl
# In our experiment, perl V5.18.2 64bit is tested
#--------------------------------------------------------------
# Written by Jian Zhang (Email:jzhang6@vcu.edu)
# Please contact jzhang6@vcu.edu if you have any problems
#--------------------------------------------------------------
system "mkdir WholedatasetPutativeRSA";

$ID="XXXXXX";
open READ,"WholedatasetPutativeRSA.txt" or die "read error!\n";
open LIST,">DNARNAPRO.list";
while(defined($eachline=<READ>)){
	chomp($eachline);
	if($eachline =~ /^>/){
		my $len=length($eachline);
		$ID=substr($eachline,1,$len-1);

		print LIST $ID."\n";

		open WRITE,">WholedatasetPutativeRSA/$ID.txt";
		print WRITE $eachline."\n";
		close WRITE;
	}else{
		open WRITE,">>WholedatasetPutativeRSA/$ID.txt";
		print WRITE $eachline."\n";
		close WRITE;
	}
}
close READ;
close LIST;

open LIST,"DNARNAPRO.list" or die "read error!\n";
chomp(@list=<LIST>);
close LIST;

open WRITE,">WholedatasetPutativeRSARNAPRO.pred";
foreach $list(@list){
	
	open READ,"WholedatasetPutativeRSA/$list.txt";
	chomp(@array=<READ>);
	close READ;
	
#	@pred=split(/\s+/,@array[1]);#DNA
#	@pred=split(/\s+/,@array[2]);#RNA
#	@pred=split(/\s+/,@array[3]);#protein
#	@pred=split(/\s+/,@array[4]);#DNA&protein
	@pred=split(/\s+/,@array[5]);#RNA&protein

	for($cn=0;$cn<@pred;$cn++){
		print WRITE @pred[$cn]."\n";
	}
}
close WRITE;

