#! /usr/bin/perl
#
#--------------------------------------------------------------
# This code is used for generating native binding label for each residue
# Before running this code, you need install perl
# In our experiment, perl V5.18.2 64bit is tested
#--------------------------------------------------------------
# Written by Jian Zhang (Email:jzhang6@vcu.edu)
# Please contact jzhang6@vcu.edu if you have any problems
#--------------------------------------------------------------
system "mkdir WholedatasetLabels";

$ID="XXXXXX";
open READ,"DNA,RNAandProteinBindingProteins.txt" or die "read error!\n";
while(defined($eachline=<READ>)){
	chomp($eachline);
	if($eachline =~ /^>/){
		my $len=length($eachline);
		$ID=substr($eachline,1,$len-1);

		open WRITE,">WholedatasetLabels/$ID.txt";
		print WRITE $eachline."\n";
		close WRITE;
	}else{
		open WRITE,">>WholedatasetLabels/$ID.txt";
		print WRITE $eachline."\n";
		close WRITE;
	}
}
close READ;


open LIST,"DNARNAPRO.list" or die "read error!\n";
chomp(@list=<LIST>);
close LIST;

open WRITE,">WholedatasetPutativeRSARNAPRO.labels";
foreach $list(@list){
	open READ,"WholedatasetLabels/$list.txt";
	chomp(@array=<READ>);
	close READ;
	
	@callen=split(//,@array[1]);
	$length=0;
	for($iteration=0;$iteration<@callen;$iteration++){
		if(@callen[$iteration] =~ /[A-Z]/){
			$length=$length+1;
		}
	}
	
	@pdbRes=split(//,@array[2]);
	@DNA=split(//,@array[3]);
	@RNA=split(//,@array[4]);
	@PRO=split(//,@array[5]);
	@LIG=split(//,@array[6]);

	for($cm=0;$cm<$length;$cm++){
		if(@pdbRes[$cm] =~ /[A-Z]/){
#			if(@PRO[$cm] =~ /[A-Z]/){
			if(@RNA[$cm] =~ /[A-Z]/ && @PRO[$cm] =~ /[A-Z]/){
				print WRITE "1\n";
			}else{
				print WRITE "0\n";
			}
		}else{
			print WRITE "*\n";
		}
	}
}
close WRITE;

